Name:		upx
Version:	3.08
Release:	%mkrel 3
Summary:	The Ultimate Packer for eXecutables
License:	GPLv2+
Group:		Archiving/Compression
URL:		http://upx.sourceforge.net/
Source0:	http://upx.sourceforge.net/download/%{name}-%{version}-src.tar.bz2
Source1:        http://downloads.sourceforge.net/sevenzip/lzma465.tar.bz2
BuildRequires:	ucl-devel
BuildRequires:	zlib-devel

%description
UPX is an advanced executable file compressor. UPX will typically
reduce the file size of programs and DLLs by around 50%-70%, thus
reducing disk space, network load times, download times and other
distribution and storage costs.

Programs and libraries compressed by UPX are completely self-contained
and run exactly as before, with no runtime or memory penalty for most
of the supported formats.

UPX supports a number of different executable formats, including
Win95/98/ME/NT/2000 programs and DLLs, DOS programs, and Linux executables.

UPX is rated number one in the well known Archive Comparison Test. Visit
http://compression.ca/act-exepack.html

%prep

%setup -q -n %{name}-%{version}-src
sed -i -e 's/ -O2/ /' -e 's/ -Werror//' src/Makefile
mkdir lzma465
tar xfj  ../../SOURCES/lzma465.tar.bz2 -C lzma465

%build

# building the docs
%make -C doc
export UCLDIR=%{_prefix}
UPX_LZMA_VERSION=0x465 UPX_LZMADIR=../lzma465  %make -C src CXXFLAGS="%{optflags} -Wcast-align -Wcast-qual -Wpointer-arith -Wwrite-strings"

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1

install -m 755 src/upx.out %{buildroot}%{_bindir}/upx
install -m 644 doc/upx.1 %{buildroot}%{_mandir}/man1/

%files
%doc BUGS LICENSE NEWS PROJECTS README* THANKS doc/upx.doc doc/upx.html doc/*.txt TODO
%{_bindir}/*
%{_mandir}/man1/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 3.08-3.mga3
+ Revision: 385094
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 15 2012 fwang <fwang> 3.08-2.mga3
+ Revision: 331268
- br ucl

* Fri Jan 27 2012 kamil <kamil> 3.08-1.mga2
+ Revision: 202278
- new version 3.08
- update license (it's GPLv2+)
- update file list
- clean .spec

* Thu Jan 20 2011 erwan <erwan> 3.07-1.mga1
+ Revision: 27502
- Removing useless option
- Adding Lzma support (inspired by fedora packaging)
- imported package upx

